﻿@model Booksweb.Models.Category

@{
    ViewBag.Title = "Detail";
}

<h2>Detail</h2>
<p class="text-danger">@ViewBag.ConcurrencyErrorMessage</p>
<div>
    <h4>Kategorie</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.C_Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.C_Name)
        </dd>
        <dd>
            <h5>Knihy v této kategorii</h5>
            <table class="table">
                <tr>
                    <th>
                        Autor
                    </th>
                    <th>
                        Název
                    </th>
                    <th>
                        Rok vydání
                    </th>
                    <th>
                        ISBN
                    </th>
                </tr>
                @foreach (var item in Model.Book)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Book.B_Author)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Book.B_Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Book.B_Year)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Book.B_ISBN)
                    </td>
                </tr>
        }
            </table>
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Editovat", "Edit", new { id = Model.C_IDCategory }) |
    @Html.ActionLink("Zpět na seznam", "Index")
</p>
